# 32/64 bit SPEC file

%define name    juffed
%define version 0.10
%define minor	1054
%define release %mkrel 3

Summary:        Simple tabbed text editor
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2
Group:          Editors
URL:            http://juffed.com/en/index.html
Source:         http://sourceforge.net/projects/juffed/files/%{name}-%{version}-%{minor}.tar.xz
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: qscintilla-qt4-devel
BuildRequires: qt4-linguist
BuildConflicts: enca-devel

%description
Simple tabbed text editor with syntax highlighting for C++, Python, HTML, PHP, 
XML, TeX, Makefiles, ini-files and patch-files

%package	devel
Summary:	Development package for juffed
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
Package for developing juffed plugins
See http://code.google.com/p/juffed-plugins/wiki/JuffEd_Plugins_Tutorial 
for details.

%prep
%setup -q

%build
%cmake 
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%doc COPYING ChangeLog
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/libjuff*.so.*
%{_libdir}/%{name}/plugins/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%files devel
%{_includedir}/%{name}
%{_libdir}/libjuff*.so

%changelog
* Sat Aug 20 2016 adrianomorselli <adrianomorselli> 0.10.3uplos2016
- rebuild and fix qscintilla upgrade

* Sat Jun 20 2015 bb <bb> 0.10-2pclos2015
- rebuild against updated qscintilla
- doesnt build with enca-devel anymore

* Fri May 10 2013 TerryN <terryn94 at gmail.com> 0.10-1pclos2013
- Initial package for PCLOS
